From: Arnaldo Carvalho de Melo <acme@kernel.org>
To: Namhyung Kim <namhyung@kernel.org>
Cc: Jiri Olsa <jolsa@kernel.org>, Ingo Molnar <mingo@kernel.org>,
Peter Zijlstra <peterz@infradead.org>,
LKML <linux-kernel@vger.kernel.org>,
Ian Rogers <irogers@google.com>,
Adrian Hunter <adrian.hunter@intel.com>,
linux-perf-users@vger.kernel.org, Leo Yan <leo.yan@linaro.org>,
German Gomez <german.gomez@arm.com>,
Zhengjun Xing <zhengjun.xing@linux.intel.com>,
James Clark <james.clark@arm.com>,
Athira Jajeev <atrajeev@linux.vnet.ibm.com>
Subject: Re: [PATCH 08/12] perf test: Replace arm spe fork test workload with sqrtloop
Date: Sun, 20 Nov 2022 12:39:11 -0300 [thread overview]
Message-ID: <Y3pKH1djhiS31Wtn@kernel.org> (raw)
In-Reply-To: <20221116233854.1596378-9-namhyung@kernel.org>
Em Wed, Nov 16, 2022 at 03:38:50PM -0800, Namhyung Kim escreveu:
> So that it can get rid of requirement of a compiler. I've also removed
> killall as it'll kill perf process now and run the test workload for 10
> sec instead.
8 73.81 alpine:edge : FAIL gcc version 11.2.1 20220219 (Alpine 11.2.1_git20220219)
tests/workloads/sqrtloop.c:23:3: error: ignoring return value of function declared with const attribute [-Werror,-Wunused-value]
sqrt(rand());
^~~~ ~~~~~~
1 error generated.
make[4]: *** [/git/perf-6.1.0-rc5/tools/build/Makefile.build:139: workloads] Error 2
make[3]: *** [/git/perf-6.1.0-rc5/tools/build/Makefile.build:139: tests] Error 2
I'll fix this one, probably just prepending a (void *).
- Arnaldo
> Tested-by: Leo Yan <leo.yan@linaro.org>
> Tested-by: James Clark <james.clark@arm.com>
> Signed-off-by: Namhyung Kim <namhyung@kernel.org>
> ---
> tools/perf/tests/shell/test_arm_spe_fork.sh | 44 +--------------------
> 1 file changed, 1 insertion(+), 43 deletions(-)
>
> diff --git a/tools/perf/tests/shell/test_arm_spe_fork.sh b/tools/perf/tests/shell/test_arm_spe_fork.sh
> index c920d3583d30..da810e1b2b9e 100755
> --- a/tools/perf/tests/shell/test_arm_spe_fork.sh
> +++ b/tools/perf/tests/shell/test_arm_spe_fork.sh
> @@ -11,14 +11,7 @@ skip_if_no_arm_spe_event() {
>
> skip_if_no_arm_spe_event || exit 2
>
> -# skip if there's no compiler
> -if ! [ -x "$(command -v cc)" ]; then
> - echo "failed: no compiler, install gcc"
> - exit 2
> -fi
> -
> -TEST_PROGRAM_SOURCE=$(mktemp /tmp/__perf_test.program.XXXXX.c)
> -TEST_PROGRAM=$(mktemp /tmp/__perf_test.program.XXXXX)
> +TEST_PROGRAM="perf test -w sqrtloop 10"
> PERF_DATA=$(mktemp /tmp/__perf_test.perf.data.XXXXX)
> PERF_RECORD_LOG=$(mktemp /tmp/__perf_test.log.XXXXX)
>
> @@ -27,43 +20,10 @@ cleanup_files()
> echo "Cleaning up files..."
> rm -f ${PERF_RECORD_LOG}
> rm -f ${PERF_DATA}
> - rm -f ${TEST_PROGRAM_SOURCE}
> - rm -f ${TEST_PROGRAM}
> }
>
> trap cleanup_files exit term int
>
> -# compile test program
> -cat << EOF > $TEST_PROGRAM_SOURCE
> -#include <math.h>
> -#include <stdio.h>
> -#include <stdlib.h>
> -#include <unistd.h>
> -#include <sys/wait.h>
> -
> -int workload() {
> - while (1)
> - sqrt(rand());
> - return 0;
> -}
> -
> -int main() {
> - switch (fork()) {
> - case 0:
> - return workload();
> - case -1:
> - return 1;
> - default:
> - wait(NULL);
> - }
> - return 0;
> -}
> -EOF
> -
> -echo "Compiling test program..."
> -CFLAGS="-lm"
> -cc $TEST_PROGRAM_SOURCE $CFLAGS -o $TEST_PROGRAM || exit 1
> -
> echo "Recording workload..."
> perf record -o ${PERF_DATA} -e arm_spe/period=65536/ -vvv -- $TEST_PROGRAM > ${PERF_RECORD_LOG} 2>&1 &
> PERFPID=$!
> @@ -78,8 +38,6 @@ echo Log lines after 1 second = $log1
>
> kill $PERFPID
> wait $PERFPID
> -# test program may leave an orphan process running the workload
> -killall $(basename $TEST_PROGRAM)
>
> if [ "$log0" = "$log1" ];
> then
> --
> 2.38.1.584.g0f3c55d4c2-goog
--
- Arnaldo
next prev parent reply other threads:[~2022-11-20 15:39 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-16 23:38 [PATCHSET 00/12] perf test: Add test workloads (v3) Namhyung Kim
2022-11-16 23:38 ` [PATCH 01/12] perf test: Add -w/--workload option Namhyung Kim
2022-11-16 23:38 ` [PATCH 02/12] perf test: Replace pipe test workload with noploop Namhyung Kim
2022-11-16 23:38 ` [PATCH 03/12] perf test: Add 'thloop' test workload Namhyung Kim
2022-11-16 23:38 ` [PATCH 04/12] perf test: Replace record test workload with thloop Namhyung Kim
2022-11-16 23:38 ` [PATCH 05/12] perf test: Add 'leafloop' test workload Namhyung Kim
2022-11-17 16:06 ` Arnaldo Carvalho de Melo
2022-11-17 16:15 ` Arnaldo Carvalho de Melo
2022-11-17 17:16 ` Ian Rogers
2022-11-17 17:24 ` Arnaldo Carvalho de Melo
2022-11-17 17:41 ` Ian Rogers
2022-11-17 18:11 ` Namhyung Kim
2022-11-18 11:32 ` James Clark
2022-11-18 14:58 ` Arnaldo Carvalho de Melo
2022-11-16 23:38 ` [PATCH 06/12] perf test: Replace arm callgraph fp test workload with leafloop Namhyung Kim
2022-11-16 23:38 ` [PATCH 07/12] perf test: Add 'sqrtloop' test workload Namhyung Kim
2022-11-16 23:38 ` [PATCH 08/12] perf test: Replace arm spe fork test workload with sqrtloop Namhyung Kim
2022-11-20 15:39 ` Arnaldo Carvalho de Melo [this message]
2022-11-16 23:38 ` [PATCH 09/12] perf test: Add 'brstack' test workload Namhyung Kim
2022-11-16 23:38 ` [PATCH 10/12] perf test: Replace brstack " Namhyung Kim
2022-11-16 23:38 ` [PATCH 11/12] perf test: Add 'datasym' " Namhyung Kim
2022-11-16 23:38 ` [PATCH 12/12] perf test: Replace data symbol test workload with datasym Namhyung Kim
-- strict thread matches above, loose matches on Subject: below --
2022-11-10 18:19 [PATCHSET 00/12] perf test: Add test workloads (v2) Namhyung Kim
2022-11-10 18:19 ` [PATCH 08/12] perf test: Replace arm spe fork test workload with sqrtloop Namhyung Kim
2022-11-14 11:12 ` James Clark
2022-11-09 17:46 [PATCHSET 00/12] perf test: Add test workloads (v1) Namhyung Kim
2022-11-09 17:46 ` [PATCH 08/12] perf test: Replace arm spe fork test workload with sqrtloop Namhyung Kim
2022-11-10 11:45 ` Leo Yan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=Y3pKH1djhiS31Wtn@kernel.org \
--to=acme@kernel.org \
--cc=adrian.hunter@intel.com \
--cc=atrajeev@linux.vnet.ibm.com \
--cc=german.gomez@arm.com \
--cc=irogers@google.com \
--cc=james.clark@arm.com \
--cc=jolsa@kernel.org \
--cc=leo.yan@linaro.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-perf-users@vger.kernel.org \
--cc=mingo@kernel.org \
--cc=namhyung@kernel.org \
--cc=peterz@infradead.org \
--cc=zhengjun.xing@linux.intel.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.